summaryrefslogtreecommitdiff
path: root/devel/bin/unpack-symlinks
diff options
context:
space:
mode:
Diffstat (limited to 'devel/bin/unpack-symlinks')
-rwxr-xr-xdevel/bin/unpack-symlinks25
1 files changed, 25 insertions, 0 deletions
diff --git a/devel/bin/unpack-symlinks b/devel/bin/unpack-symlinks
new file mode 100755
index 0000000..b1f480f
--- /dev/null
+++ b/devel/bin/unpack-symlinks
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+# This script is the complement to pack-symlinks script.
+#
+# GPL'ed by Mikhael Goikhman.
+
+ICONS_DIR=../../icons
+INFO_FILE=_symlinks.lst
+
+cd $ICONS_DIR
+for iconSet in *; do
+ [ -d "$iconSet" ] || continue
+ [ $iconSet = CVS ] && continue
+ echo -n "Processing $iconSet ... "
+ if ! cd $iconSet; then
+ echo failed; continue
+ fi
+ if [ ! -f $INFO_FILE ]; then
+ cd ..; echo skipped; continue
+ fi
+ cat $INFO_FILE | xargs -n 2 -r ln -sf
+ rm $INFO_FILE
+ cd ..
+ echo "done"
+done